Name:		libmsn
Version:	4.0
Release:	0.2.beta1%{?dist}

Group:		System Environment/Libraries
License:	GPLv2
URL:		http://sourceforge.net/projects/libmsn/
Source0:	http://downloads.sourceforge.net/%{name}/%{name}-%{version}-beta1.tar.bz2

Patch0:		%{name}-4.0beta1-rmhardcoded.patch

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Summary:	Library for connecting to the MSN Messenger service

BuildRequires:	cmake
BuildRequires:	openssl-devel
#All other headers seem to be provided by glibc or stdlibc++

%description
Libmsn is a reusable, open-source, fully documented library for connecting to
the MSN Messenger service.

%package	devel
Summary:	Development files for %{name}
Group:		Development/Libraries

Requires:	%{name} = %{version}-%{release}

%description	devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q -n %{name}-4.0-beta1
%patch0 -p1

%build
mkdir build
cd build
%{cmake} ..
make


%install
rm -rf %{buildroot}
cd build
make install DESTDIR=%{buildroot}


%clean
rm -rf %{buildroot}


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc README COPYING
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%doc README COPYING
%{_libdir}/*.so
%{_includedir}/*

%changelog
* Wed Dec 10 2008 John5342 <john5342 at, fedoraproject.org> 4.0-0.2.beta1
- Removed questionable trademarks in description and summary

* Wed Dec 10 2008 John5342 <john5342 at, fedoraproject.org> 4.0-0.1.beta1
- Initial package
